/*
 * Copyright (c) 2016-2017 Illumon and Patent Pending
 */

#pragma once

// Convenience macros to allow if(likely(foo)) and if(unlikely(foo)), informing
// the optimizer what answer we expect.  Useful for making error cases unlikely.

#define likely(x) __builtin_expect(!!(x), 1)
#define unlikely(x) __builtin_expect(!!(x), 0)
