/*
 * Copyright (c) 2016-2017 Illumon and Patent Pending
 */

#pragma once

namespace illumon {

namespace util {

class noncopyable {
  protected:
    noncopyable() {};
    ~noncopyable() {};

  private:
    noncopyable(const noncopyable &);
    noncopyable & operator=(const noncopyable &);
};

}} // namespace illumon::util
